const bleno = require('bleno')
const config = require('./config.json')

class DataCharacteristic extends bleno.Characteristic {
  constructor() {
    super({
      uuid: config.uuid.service.func.data,
      properties: ['write', 'writeWithoutResponse'],
      descriptors: [
        new bleno.Descriptor({
          uuid: '8888',
          value: 'Now'
        })
      ]
    })
  }
  
  onWriteRequest(data, offset, withoutResponse, callback) {
    console.log(`offset :: ${offset} , withoutRes :: ${withoutResponse}`)
    console.log(`get data`, data)
    if (withoutResponse) {
      callback(this.RESULT_SUCCESS)
    }
  }
}

module.exports = DataCharacteristic
